Create Modifier Group Linked Items
curl --request POST \
--url 'https://api.example.com/{{micro_service_base_url}}/inventory/stores/{{store_id}}/modifier-groups/{{modifier_group_id}}/mappings' \
--header 'Content-Type: application/json' \
--data '
{
"linked_items": [
{}
]
}
'import requests
url = "https://api.example.com/{{micro_service_base_url}}/inventory/stores/{{store_id}}/modifier-groups/{{modifier_group_id}}/mappings"
payload = { "linked_items": [{}] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({linked_items: [{}]})
};
fetch('https://api.example.com/{{micro_service_base_url}}/inventory/stores/{{store_id}}/modifier-groups/{{modifier_group_id}}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"linkedItems": [
{
"modifier_group_id": "<string>",
"store_item_id": "<string>",
"status": "<string>"
}
],
"alreadyExisting": [
{}
],
"message": "<string>"
}Modifiers
Create Modifier Group Linked Items
This endpoint links store items to a modifier group, allowing those items to use the customization options defined in the modifier group.
POST
{micro_service_base_url}
/
inventory
/
stores
/
{store_id}
/
modifier-groups
/
{modifier_group_id}
/
mappings
Create Modifier Group Linked Items
This endpoint creates mappings between store items and modifier groups, enabling customers to customize specific products with the options available in the modifier group. For example, linking beverages to a “Size” modifier group.
Linked items will display the modifier group’s options as customization choices for customers.
Path Parameters
string
required
The unique identifier of the store
string
required
The unique identifier of the modifier group
Body
array
required
Array of store items to link with this modifier group
Show Linked Item Object
Show Linked Item Object
Request Example
[
{
"store_item_id": "12e14a84-ee4f-48e6-ad31-4daa956ae161",
"status": "active"
},
{
"store_item_id": "0bc5fbc2-5882-4a48-9ba5-e30997a3b027",
"status": "active"
},
{
"store_item_id": "6f040fbc-b531-42fc-8c2a-5966a03bb4cd",
"status": "active"
},
{
"store_item_id": "b2d2e7d4-619d-478d-97d7-ba72590ae4e0",
"status": "active"
}
]
Response
boolean
Indicates if the operation was successful
array
array
Array of item IDs that were already linked to this modifier group
string
Success message describing the operation result
Response Example
{
"success": true,
"linkedItems": [
{
"modifier_group_id": "1000118",
"store_item_id": "b2d2e7d4-619d-478d-97d7-ba72590ae4e0",
"status": "active"
}
],
"alreadyExisting": [
"1000025",
"1000089",
"1000024"
],
"message": "Store item modifier group mappings created successfully"
}
Items that are already linked to the modifier group will be listed in the “alreadyExisting” array and won’t be duplicated.
Only items with “active” status will be available for customer customization. Use “inactive” to temporarily disable customization for specific items.
⌘I

